Crystal Reports XI Date Picker error when prompting for parameter

I have a simple report created in CR XI with a date parameter.  When I run the report and get prompted for the parameter, the date picker does not work and there is an Internet Explorer script error (see screen shots).

Note that the problem is on a machine with Vista, my XP machine works OK.

I have tried repairing the CR install.
cr-error.jpg
cr-error-2.jpg
mayfran-itAsked:
Who is Participating?

Improve company productivity with a Business Account.Sign Up

x
 
mlmccConnect With a Mentor Commented:
If you need R2 then you have to download the full version there is no service pack (at least as far as I know) that converts CR XI R1 to R2.

Downloads are here
https://websmp230.sap-ag.de/sap(bD1lbiZjPTAwMQ==)/bc/bsp/spn/bobj_download/main.htm

Click OK for the security certificates.

mlmcc
0
 
mayfran-itAuthor Commented:
Now I see that this question has been asked before:

http://www.experts-exchange.com/Database/Reporting_/Crystal_Reports/Q_21755258.html?qid=21755258

But that solution did not work for me.
0
 
mlmccCommented:
Have you installed the service pack for Crystal that were required for Vista support?
CR XI R1 SP4
CR XI R2 SP2

Check the version through HELP --> ABOUT CRYSTAL
CR XI R1 - v11.0.xxx
CR XI R2 - v11.5.xxx

mlmcc
0
Get your problem seen by more experts

Be seen. Boost your question’s priority for more expert views and faster solutions

 
mayfran-itAuthor Commented:
I don't think so.  I can't even tell what SP I am running.  Here is a screen shot of the about dialog.

I did download and install XI R2 Service Pack 5 and it tells me that I need SP4.  And I can't even find that on SAP's website.  (see images)

Thanks.
cr-about.jpg
cr-sp-install.jpg
0
 
mlmccCommented:
You have CR XI R1 so the SP you are trying to install won't work or may cause more problems

https://smpdl.sap-ag.de/~sapidp/012002523100006008952008E/crXIwin_sp4.zip

mlmcc
0
 
mayfran-itAuthor Commented:
Thanks.

That link does not open (see image).

I also did a search for Crystal Reports service packs and found that maybe I should be using Release 2.  I am using it with Visual Studio 2008.  This is horribly confusing.
i-e-error.jpg
0
 
mlmccCommented:
The link won't open a web page.  It will download the service pack

It just worked for me.

I don't know for sure but i suspect you are correct that you need CR XI R2.
You can download the free trial version here.  Use the Key code from your current CR CD and it will be a fully licensed version
http://www.sap.com/usa/solutions/sapbusinessobjects/sme/freetrials/index.epx

mlmcc
0
 
mayfran-itAuthor Commented:
Thanks - but I don't want to download the entire version.  That is part of the problem - I can't even fiind the place for the service packs.  Nowhere on SAP's site is a link to a support center.  UGH!
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.